[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: PAM dlopen errors...hmmm...



Hi,

> >Yeah, throw away libc. It's old, buggy and gives shit. Only Netscape
> >4.x needs it as far as I know.
>
> "rpm -q --whatrequires libc" showed no one wanting to play with it on this
> system anyways.   So...rpm -e libc ...and now it's gone.
>
> >Also make sure /lib/libc.so.6 points to libc-2.1.3.so. Looking at the
> >error, glib (yes, without the c) is compiled on a newer system.
>
> Yes -
> # ls -l libc.so.6
> lrwxrwxrwx    1 root     root     13 Nov 23  2000 libc.so.6 -> libc-2.1.3.so
>
> so that's fine. From the rpm -l listing of files included in glib, I get:
>
> lrwxrwxrwx    1 root  root     20 Nov 26  2000 /usr/lib/libglib-1.2.so.0 ->
> libglib
> -1.2.so.0.0.8
> -rwxr-xr-x    1 root  root 172425 Oct 27  2000 /usr/lib/libglib-1.2.so.0.0.8
> lrwxrwxrwx    1 root  root     23 Nov 26  2000 /usr/lib/libgmodule-1.2.so.0
> -> libg module-1.2.so.0.0.8
> -rw-r--r--    1 root  root  12430 Oct 27  2000 /usr/lib/libgmodule-1.2.so.0.0.8
> lrwxrwxrwx    1 root  root     23 Nov 26  2000 /usr/lib/libgthread-1.2.so.0
> -> libg
> thread-1.2.so.0.0.8
> -rwxr-xr-x    1 root  root  11520 Oct 27  2000 /usr/lib/libgthread-1.2.so.0.0.8
>
> and pam's libs -
>
> # ls -l /lib/libpam*
> lrwxrwxrwx    1 root   root     14 Feb 19 2001 libpam.so -> libpam.so.0.72
> lrwxrwxrwx    1 root   root     14 Nov 23 2000 libpam.so.0 -> libpam.so.0.72
> -rwxr-xr-x    1 root   root  33718 Nov 30 2000 libpam.so.0.72
> -rw-r--r--    1 root   root   6540 Nov 30 2000 libpam_misc.a
> lrwxrwxrwx    1 root   root     19 Feb 19 2001 libpam_misc.so ->
> libpam_misc.so.0.72
> lrwxrwxrwx    1 root   root     19 Nov 23 2000 libpam_misc.so.0 ->
> libpam_misc.so.0.72
> -rwxr-xr-x    1 root   root  10303 Nov 30 2000 libpam_misc.so.0.72
>
> So is the fact that libpam_misc.so.0.72 was compiled 19Feb2001, later than
> the libg libraries, somehow the source of the problem? Again, these are all
> from straight redhat RPM distributions - I didn't compile/build any myself.

You're sure you applied all the updates ?? Both RH 6.2 and RH7.1 have had
glibc updates, glib updates and pam updates. Looking at the error you
have, the linker is missing some symbol, probably in a not updates lib.




	Igmar





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []